Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class SchedulerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.quartz.SchedulerException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JmsJobException, JobExecutionException, JobPersistenceException, SchedulerConfigException, UnableToInterruptJobException

    public class SchedulerException

extends Exception

Base class for exceptions thrown by the Quartz ``Scheduler``.

`SchedulerException`s may contain a reference to another `Exception`, which was the underlying cause of the `SchedulerException`.

Author:
  James House
See Also:
  Serialized Form

Constructor Summary
`SchedulerException()`
`SchedulerException(String msg)`
`SchedulerException(String msg, Throwable cause)`
`SchedulerException(Throwable cause)`

Method Summary
`Throwable` | `getUnderlyingException()` Return the exception that is the underlying cause of this exception.
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchedulerException

    public SchedulerException()

### SchedulerException

    public SchedulerException(String msg)

### SchedulerException

    public SchedulerException(Throwable cause)

### SchedulerException

    public SchedulerException(String msg,
                              Throwable cause)

Method Detail

### getUnderlyingException

    public Throwable getUnderlyingException()

  Return the exception that is the underlying cause of this exception.

  This may be used to find more detail about the cause of the error.

  Returns:
    the underlying exception, or `null` if there is not one.

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.